Subject: bug#52672: closed (Re: bug#53011: Possible to Update qtbase-5 to v5.15.8?)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 29 Mar 2023 00:39:02 +0000

Your bug report

#53011: qutebrowser 2.4.0 text rendering broken

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53011: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=53011
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#53011: Possible to Update qtbase-5 to v5.15.8?
From: Maxim Cournoyer <[email-masked]>
To: Jaft <[email-masked]>
Cc: Florian Bruhin <[email-masked]>, Philip McGrath <[email-masked]>, [email-masked], Leo Famulari <[email-masked]>, phodina <[email-masked]>, bdju <[email-masked]>
Date: Tue, 28 Mar 2023 20:38:26 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Jaft <[email-masked]> writes:

> Partially because it's the latest version but primarily because there's a bug in the current version for QTwebengine.
> As detailed at r/qutebrowser - Comment by u/The-Compiler on ”WebGL
> blacklisted on Guix”, most text gets broken
> (https://bugs.chromium.org/p/chromium/issues/detail?id=1164975); I
> haven't tried other browsers but I've experienced this with
> Qutebrowser, currently.
> It seems the issue was addressed in QT v5.15.7 so an update to, at least, that would, theoretically, solve the problem.

I've updated the Qt 5 packages to 5.15.8 on staging; feel free to give
it a shot in the next week or so, after which I'll consider merging the
staging branch to master if there are no blockers.

-- 
Thanks,
Maxim

Subject: qutebrowser 2.4.0 text rendering broken
From: "bdju" <[email-masked]>
To: <[email-masked]>
Date: Sun, 19 Dec 2021 16:39:20 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm told it's this bug:
https://bugs.chromium.org/p/chromium/issues/detail?id=1164975

and it's related to haveing an old QtWebEngine + new glibc

Fix here:
https://codereview.qt-project.org/c/qt/qtwebengine-chromium/+/374232

I think the QtWebEngine package just needs to be updated, but I'll leave
it up to the experts.

I attached a screenshot showing the issue on a github page.
You can temporarily get around the issue with special launch options
(including not using your usual settings)

qutebrowser --temp-basedir --qt-flag disable-seccomp-filter-sandbox